## Process this file with automake to produce Makefile.in

objects = tei-refdb-fo.xsl tei-refdb-fo-ns.xsl
distobjects = tei-refdb-fo.xsl.in

EXTRA_DIST = $(distobjects)

MOSTLYCLEANFILES=$(objects)

all: $(objects)

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/xsl/tei-refdb-xsl/tei-fo
	@for f in $(objects); do \
		$(INSTALL_DATA) $$f $(DESTDIR)$(pkgdatadir)/xsl/tei-refdb-xsl/tei-fo/$$f; \
	done

tei-refdb-fo.xsl: tei-refdb-fo.xsl.in
	sed 's%<!--tei_xsl-->%$(tei_xsl)%' < $(srcdir)/tei-refdb-fo.xsl.in  | \
	sed 's%<refdblib>%$(pkgdatadir)%'> tei-refdb-fo.xsl

tei-refdb-fo-ns.xsl: tei-refdb-fo.xsl $(top_srcdir)/scripts/xslns.pl
	$(top_srcdir)/scripts/xslns.pl -t < $(srcdir)/tei-refdb-fo.xsl > tei-refdb-fo-ns.xsl
